Subject: [Ace] shepherd review of draft-ietf-ace-cbor-web-token-11

From: Benjamin Kaduk <[email-masked]>
Date: Fri, 2 Feb 2018 16:24:46 -0600

Hi all,

We're getting ready to send this to Kathleen for processing
(hopefully to finish before her term as AD does!), but there are a
few nits that should be fixed with a new rev before we actually push
the button.

We currently have an informational reference to RFC 5226, which has
since been replaced by RFC 8126; we should update our citation to
the newer document with guidelines for writing IANA considerations.

In section 9.1 the second pargaraph says that the values are
registerd on a "Specification Required" basis, but we have some
ranges that are just "Expert Review".  So I think this text should
say "Expert Review" instead (with some of the guidance to the
experts being that certain subranges have additional requirements).

We also note that the Experts should consider "whether it is useful
only for a single application", and it's not entirely clear to me
what the reuslt of that consideration should be.  Is only being
useful for a single application supposed to be grounds for rejecting
a registration?  (That doesn't seem necessarily true, for the Expert
Review range.)  Or is that just a factor for whether "nice-looking"
names should be allowed for them?  Or something else?

In section 9.4, we attempt to register a value from the CBOR Tag
registry; however, the template in RFC 7049 includes a "description
of semantics" field, and not the "reference" field that we provide.

Finally, in the acknowledgments, we can ask the RFC Editor to use
the non-ASCII "Gőran" if he so desires.  (Last I heard the tooling
isn't there to use non-ASCII for internet drafts yet, though.)

Authors, will you be able to prepare a new version with these
changes?

Thanks,

Ben

---

From: Mike Jones <[email-masked]>
Date: Fri, 2 Feb 2018 23:18:00 +0000

Thanks for the detailed read, Ben.  Will do.

				-- Mike

-----Original Message-----
From: Benjamin Kaduk [mailto:[email-masked]] 
Sent: Friday, February 2, 2018 2:25 PM
To: [email-masked]; [email-masked]
Subject: shepherd review of draft-ietf-ace-cbor-web-token-11

Hi all,

We're getting ready to send this to Kathleen for processing (hopefully to finish before her term as AD does!), but there are a few nits that should be fixed with a new rev before we actually push the button.

We currently have an informational reference to RFC 5226, which has since been replaced by RFC 8126; we should update our citation to the newer document with guidelines for writing IANA considerations.

In section 9.1 the second pargaraph says that the values are registerd on a "Specification Required" basis, but we have some ranges that are just "Expert Review".  So I think this text should say "Expert Review" instead (with some of the guidance to the experts being that certain subranges have additional requirements).

We also note that the Experts should consider "whether it is useful only for a single application", and it's not entirely clear to me what the reuslt of that consideration should be.  Is only being useful for a single application supposed to be grounds for rejecting a registration?  (That doesn't seem necessarily true, for the Expert Review range.)  Or is that just a factor for whether "nice-looking"
names should be allowed for them?  Or something else?

In section 9.4, we attempt to register a value from the CBOR Tag registry; however, the template in RFC 7049 includes a "description of semantics" field, and not the "reference" field that we provide.

Finally, in the acknowledgments, we can ask the RFC Editor to use the non-ASCII "Gőran" if he so desires.  (Last I heard the tooling isn't there to use non-ASCII for internet drafts yet, though.)

Authors, will you be able to prepare a new version with these changes?

Thanks,

Ben

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 3 Feb 2018 06:10:48 +0100

> isn't there to use non-ASCII for internet drafts yet, though.)

We have the same issue in RFC 8323-to-be (CoAP over TCP), and the RFC editor is in the process of figuring out how to handle Swedish umlauts in names (UTF-8 not just yet!).  So don’t worry about this too much now; the RFC editor will fix it.

Grüße, Carsten

---

From: Mike Jones <[email-masked]>
Date: Sat, 3 Feb 2018 05:23:54 +0000

Thanks for your useful review, Ben.  I believe that https://tools.ietf.org/html/draft-ietf-ace-cbor-web-token-12 addresses all your comments and is ready to send to Kathleen.

				Best wishes,
				-- Mike

-----Original Message-----
From: Benjamin Kaduk <[email-masked]> 
Sent: Friday, February 2, 2018 2:25 PM
To: [email-masked]; [email-masked]
Subject: shepherd review of draft-ietf-ace-cbor-web-token-11

Hi all,

Thanks,

Ben